@import "~/styles/colors.simon.scss";

.close-button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 24px;
  height: 24px;

  & > * {
    width: 14px;
    height: 14px;
  }

  &:hover {
    background-color: $status-bad;
  }
}

.arrow-button {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 45px;
  width: 40px;

  & > * {
    width: 14px;
    height: 26px;
  }

  &:not(.disabled) {
    background-color: $tab-inactive-bg;

    &:hover {
      background-color: $tab-active-bg;
    }
  }

  &.disabled {
    cursor: not-allowed;
    background-color: none;
  }
}

.navtab-tab {
  .close-button,
  .arrow-button {
    * { fill: $text-disabled; }
  }

  &:hover {
    .close-button,
    .arrow-button:not(.disabled) {
      * { fill: $input-item; }
    }
  }
}
